<!DOCTYPE HTML PUBLIC "-//W3C/DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@page contentType="text/html" pageEncoding="UTF-8" %>
<%@page language="java" import="java.util.Locale" %>

<%@taglib uri="http://www.esri.com/adf/web" prefix="a"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>Working with Multiple Web Controls</title>
    <link rel="stylesheet" href="css/adf.css" type="text/css" media="screen"></link>
    <script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
    <script type="text/javascript">
      adfdojo.require("adf.adf");
      adfdojo.requireLocalization("resource","adf");
    </script>    
    
  </head>
  <body>
    <f:view>
      <!-- Declare both map contexts on the page -->
      <a:context id="mapContext" value="#{mapContext}" />
      <a:context id="mapContext2" value="#{mapContext2}" />
      <h:form id="mapForm">
        <table border="1">
          <tbody>
            <tr>
              <td>
                <a:task id="mapToolsTask1" value="#{mapContext.attributes.webappMapToolsTask}" taskInfo="#{mapContext.attributes.webappMapToolsTask.taskInfo}" mapId="map1" windowingSupport="false" style="padding:0px;margin:0px;" xslFile="maptoolstask.xsl" />
              </td>
              <td>
                <a:task id="mapToolsTask2" value="#{mapContext2.attributes.webappMapToolsTask}" taskInfo="#{mapContext2.attributes.webappMapToolsTask.taskInfo}" mapId="map2" windowingSupport="false" style="padding:0px;margin:0px;" xslFile="maptoolstask.xsl" />
              </td>
            </tr>
            <tr>
              <td>
                <a:map id="map1" value="#{mapContext.webMap}" width="300" height="300" />
              </td>
              <td>
                <a:map id="map2" value="#{mapContext2.webMap}" width="300" height="300" />
              </td>
            </tr>
          </tbody>
        </table>
      </h:form>
    </f:view>
  </body>
</html>